=== debian/changelog ===
cantata (1.5.2.ds2-2ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove install dep on kde-style-oxygen which no longer exists.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Aug 2015 22:55:17 +0200

cantata (1.5.2.ds2-2) unstable; urgency=medium

  * Team upload.
  * Look for libmusicbrainz5cc instead of libmusicbrainz5 (Closes: #791880).

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Jul 2015 12:38:44 +0200

cantata (1.5.2.ds2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 27 Apr 2015 00:36:16 +1000
