=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_HTTP_SERVER=OFF -DENABLE_KDE=ON

override_dh_auto_install:
	install -d debian/tmp
	gm convert icons/cantata32.png debian/tmp/cantata.xpm
	gm convert icons/cantata16.png debian/tmp/cantata-16.xpm
	dh_auto_install

override_dh_auto_clean:
	rm -rf 3rdparty/qjson 3rdparty/qtsingleapplication 3rdparty/solid-lite
	dh_auto_clean
