=== debian/watch ===
# Google code no longer offers downloads. The purpose of this watch file is
# only to flag new versions not to download the new source package. The
# download URL will return a 404 and uscan will stop.
#
version=3
opts=uversionmangle=s#/##g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,dversionmangle=s/\.ds1//,downloadurlmangle=s/$/googlecode-makes-life-difficult/ \
 http://cantata.googlecode.com/svn/release/(\d+\.\d+\..*)
